[arch-commits] Commit in (5 files)

Pierre Schmitz pierre at archlinux.org
Fri Apr 17 07:53:19 EDT 2009


    Date: Friday, April 17, 2009 @ 07:53:19
  Author: pierre
Revision: 35809

moved from community to extra; will be part of PHP 5.3

Added:
  php-fileinfo/
  php-fileinfo/repos/
  php-fileinfo/trunk/
  php-fileinfo/trunk/PKGBUILD
  php-fileinfo/trunk/php-fileinfo.install

----------------------+
 PKGBUILD             |   25 +++++++++++++++++++++++++
 php-fileinfo.install |    8 ++++++++
 2 files changed, 33 insertions(+)

Added: php-fileinfo/trunk/PKGBUILD
===================================================================
--- php-fileinfo/trunk/PKGBUILD	                        (rev 0)
+++ php-fileinfo/trunk/PKGBUILD	2009-04-17 11:53:19 UTC (rev 35809)
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD,v 1.9 2009/02/07 06:23:08 abhidg Exp $
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgname=php-fileinfo
+pkgver=1.0.4
+pkgrel=4
+arch=('i686' 'x86_64')
+pkgdesc="This extension allows retrieval of information regarding vast majority of file."
+url="http://pecl.php.net/package/Fileinfo"
+license=("PHP")
+depends=('file' 'php')
+install=php-fileinfo.install
+backup=('etc/php/conf.d/fileinfo.ini')
+source=("http://pecl.php.net/get/Fileinfo-${pkgver}.tgz")
+md5sums=('2854e749db157365c769cb9496f5586f')
+
+build() {
+	cd $srcdir/Fileinfo-$pkgver
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+	make INSTALL_ROOT=$pkgdir install || return 1
+	echo ';extension=fileinfo.so' > fileinfo.ini
+	install -D -m644 fileinfo.ini $pkgdir/etc/php/conf.d/fileinfo.ini
+}

Added: php-fileinfo/trunk/php-fileinfo.install
===================================================================
--- php-fileinfo/trunk/php-fileinfo.install	                        (rev 0)
+++ php-fileinfo/trunk/php-fileinfo.install	2009-04-17 11:53:19 UTC (rev 35809)
@@ -0,0 +1,8 @@
+post_install() {
+  echo '
+    ==> PHP extension
+
+    A config file was stored under /etc/php/conf.d/. In order to use this
+    extension make sure to uncomment it from its config file.
+    '
+}



More information about the arch-commits mailing list